View Issue Details

IDProjectCategoryView StatusLast Update
0031375Marketplace ExtensionsGoogle Mobile AdsPublic2020-03-25 16:41
ReporterDanAssigned ToFritz 
PriorityMediumSeverityD - MinorReproducibility100%
Status ClosedResolutionFixed 
PlatformAndroidOSAndroidOS VersionPro x64
Product Version 
Target VersionFixed in Version 
Summary0031375: Google Mobile Ads: Unwanted debug toast still enabled for when leaving a rewarded ad, should comment-out
DescriptionWithin the Google Mobile Ads extension in v3.1.7 of the Google Play Services asset there is an unwanted debug toast still enabled for when leaving a rewarded ad. This means players will be shown this dev-only toast if the dev themselves does not catch this and modiofy the extension's java.

Expected: We should comment-out the line involved (there are a number of commented-out toasts in the file already)

This line in GooglePlayServicesExtension.java, public void onRewarded(RewardItem reward):

Toast.makeText(RunnerActivity.CurrentActivity, "onRewardedVideoAdLeftApplication", Toast.LENGTH_SHORT).show();
Steps To Reproduce1. Open [source]\GameMaker\Extensions\NewExtensions\GooglePlayServicesAsExtension2\extensions\GooglePlayServicesExtension\AndroidSource\Java\GooglePlayServicesExtension.java in a text editor
2. Locate the function and the line shown in the screenshot.
3. Observe the command is not commented-out.
Repro: 100%
TagsNo tags attached.
2.x Runtime Found In2.2.4.357
2.x Runtime Verified In

Activities

Dan

2019-09-25 10:31

Adminstrator  

unwantedtoast.png (36,064 bytes)
unwantedtoast.png (36,064 bytes)

Dan

2020-03-04 12:00

Adminstrator   ~0065429

Last edited: 2020-03-04 12:04

View 2 revisions

According to git, this likely went into 3.1.9 released mid-Oct 2019, but we should confirm all is well and finally close as we test 3.2.0...

Dan

2020-03-25 16:41

Adminstrator   ~0065524

Fixed in v3.2.0 of the MP asset, which will be published asap.